<?php 
// Secret page for general user
session_start(); 

// If not logged in, redirect to login page
if (empty($_SESSION['username'])) {
    header("Location: login_form.php");
    exit();
} 
?>

<!doctype html>
<html>
<head>
    <style>
        label {
            font: 13px "Lucida Sans Unicode", "Lucida Grande", sans-serif;
            font-weight: bold;
            color: #300ACC;
        }

        fieldset {
            font: 15px "Lucida Sans Unicode", "Lucida Grande", sans-serif;
            font-weight: bold;
            color: #300ACC;
        }
    </style>
</head>
<body>

    <?php
    // Welcome message
    echo "<h1>Welcome, " . $_SESSION['username'] . "!</h1>";
    echo "<h2>Welcome to Rosella's Movie Posters</h2>";
    echo "<h3>You are now logged in!</h3>";
    ?>

    <img src="istockphoto-1226615013-612x612.jpg" width="400px">
    <br><br>


    <form action="handle_searchbygenre.php" method="post">
        <fieldset>
            <legend>Search movie posters by genre and price:</legend>
            <p>
                <label>Select a genre 
                    <select name="genre" required>
                        <option value="Sci-Fi">Sci-Fi</option>
                        <option value="Fantasy">Fantasy</option>
                        <option value="Crime">Crime</option>
                        <option value="Animation">Animation</option>
                        <option value="Other">Other</option>
                    </select>
                </label>
            </p>
            <p>
                <label>Minimum Price: <input type="number" name="min_price" step="0.01" required></label>
            </p>
            <p>
                <label>Maximum Price: <input type="number" name="max_price" step="0.01" required></label>
            </p>
            <div align="center">
                <input type="submit" name="search" value="Search">
            </div>
        </fieldset>
    </form>

    <br><br>
    <button type="button" onclick="location.href='logout.php';">Log out</button>

</body>
</html>

